Get Pattern Group
Retrieves information of a specified pattern group.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
GET /api/sonar/pattern-groups/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/pattern-groups/28ad21b2-585c-4b68-9fad-b78711078496
Request Parameter
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Pattern group identifier | 36 characters |
Success Response
{
"pattern_group": {
"guid": "28ad21b2-585c-4b68-9fad-b78711078496",
"name": "IPS WAS Exploit Alert",
"description": "Detect attacks that exploit known vulnerabilities in WAS to cause remote code execution, denial of service, etc.",
"pattern_count": 15,
"company_guid": "6fbe27b7-f1ae-4d7a-a1a5-76d8fa9aa311",
"company_name": "Logpresso",
"user_guid": "ffaf431b-653a-4329-8f83-913cbb00342d",
"user_name": "Admin",
"created": "2022-09-01 00:31:14+0900",
"updated": "2022-09-01 00:31:14+0900"
}
}
- pattern_group (Map): Pattern group
- guid (String): Pattern group GUID
- name (String): Pattern group name
- description (String): Pattern group description
- pattern_count (32-bit integer): Number of patterns
- company_guid (String): Identifier of the company (tenant) to which the group belongs
- company_name (String): Name of the company (tenant) to which the group belongs
- user_guid (String): GUID of the user who creates the pattern group
- user_name (String): Name of the user who creates the pattern group
- created (String): Date and time of creation (
yyyy-MM-dd HH:mm:ssZ) - updated (String): Date and time of last modification (
yyyy-MM-dd HH:mm:ssZ)
Error Responses
Identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
Pattern group is not found
HTTP status code 200
{
"pattern_group": null
}